### Property

# Adw ClampLayout:unit

since: 1.4

#### Declaration

    property unit: Adw.LengthUnit [ read, write ]

#### Description [src]

The length unit for maximum size and tightening threshold.

Allows the sizes to vary depending on the text scale factor.

Type: | `AdwLengthUnit`
Available since: | 1.4

Default value | ADW_LENGTH_UNIT_SP
Getter method | `adw_clamp_layout_get_unit()`
Setter method | `adw_clamp_layout_set_unit()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no